<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!-- 暖心贴 -->
<style>
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">暖心贴</h1>
        <hr>
        <form class="layui-form">
            <div class="layui-form-item">
                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="方形" title="方形" checked="checked">
                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="心形" title="心形">
                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="自定义" title="自定义">
            </div>
        </form>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="27">
            <div class="layui-form-item fixed">
                <p>
                    规格(CM/厘米)
                </p>
                <div class="layui-form-item ui_fx">
                    <select name="kindValue" class="select ui_fx_size">
                        <option value="0">7.5 * 7.5 cm</option>
                        <option value="1">10 * 10 cm</option>
                        <option value="2">7.5 * 10 cm</option>
                    </select>
                </div>
                <div class="layui-form-item ui_xx">
                    <select name="kindValue" class="select ui_xx_size">
                        <option value="3">7 * 7 cm</option>
                        <option value="4">9.5 * 9.5 cm</option>
                    </select>
                </div>
                <p>
                    材质
                </p>
                <div class="layui-form-item">
                    <select name="kind2Value" id="kind2Value" class="select">
                        <%--							<option value="单色">单色</option>--%>
                        <option value="彩色">彩色</option>
                    </select>
                </div>
                <p>
                    数量（本）<span style="font-size:16px;color:red">（每本50张）</span>
                </p>
                <div class="layui-form-item">
                    <select name="count" class="select">
                        <option value="50">50</option>
                        <option value="100">100</option>
                        <option value="200">200</option>
                        <!-- <option value="300">300</option>
                        <option value="500">500</option>
                        <option value="1000">1000</option> -->
                    </select>
                </div>
            </div>
            <div class="layui-form-item diy">
                <p>
                    规格(CM/厘米)
                </p>
                <div class="layui-form-item">
                    <select name="size" class="select">
                        <option value="7*7">7*7cm</option>
                        <option value="7.5*7.5">7.5*7.5cm</option>
                        <option value="7.5*10">7.5*10cm</option>
                    </select>
                </div>
                <p>
                    数量（本）<span style="font-size:16px;color:red">（每本50张）</span>
                </p>
                <div class="layui-form-item">
                    <select name="count" class="select">
                        <option value="5">5</option>
                        <option value="10">10</option>
                        <option value="20">20</option>
                        <option value="50">50</option>
                        <option value="100">100</option>
                        <option value="200">200</option>
                    </select>
                </div>
                <p>
                    形状
                </p>
                <div class="layui-form-item">
                    <select name="craft" class="select">
                        <option value="方形">方形</option>
                        <option value="心形">心形</option>
                        <option value="圆形">圆形</option>
                        <option value="枫叶">枫叶</option>
                        <option value="苹果">苹果</option>
                        <option value="房子">房子</option>
                    </select>
                </div>
                <p>
                    款式
                </p>
                <div class="layui-form-item">
                    <select name="craft" class="select">
                        <option value="横版上翻">横版上翻</option>
                        <option value="竖版上翻">竖版上翻</option>
                        <option value="横版左翻">横版左翻</option>
                        <option value="竖版左翻">竖版左翻</option>
                    </select>
                </div>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1" class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyResult()">点击复制</button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;
        $(".ui_xx").hide();
        $(".ui_xx").find(":input").attr("disabled", true);
        $(".ui_xx").find("select").attr("disabled", true);
        $(".diy").hide();
        $(".diy").find(":input").attr("disabled", true);
        $(".diy").find("select").attr("disabled", true);

        form.on('radio(stickerKind)', function (stickerKindData) {

            $(".ui_xx").hide();
            $(".ui_xx").find(":input").attr("disabled", true);
            $(".ui_xx").find("select").attr("disabled", true);
            $(".ui_fx").hide();
            $(".ui_fx").find(":input").attr("disabled", true);
            $(".ui_xx").find("select").attr("disabled", true);
            $(".fixed").hide();
            $(".fixed").find("select").attr("disabled", true);
            $(".diy").hide();
            $(".diy").find(":input").attr("disabled", true);
            $(".diy").find("select").attr("disabled", true);
            if (stickerKindData.value == "方形") {
                $(".fixed").show();
                $(".fixed").find("select").attr("disabled", false);
                $(".ui_fx").show();
                $(".ui_fx").find(":input").attr("disabled", false);
                $(".ui_fx").find("select").attr("disabled", false);
                $(".ui_xx").find("select").attr("disabled", true);
            } else if (stickerKindData.value == "心形") {
                $(".fixed").show();
                $(".fixed").find("select").attr("disabled", false);
                $(".ui_xx").show();
                $(".ui_xx").find(":input").attr("disabled", false);
                $(".ui_xx").find("select").attr("disabled", false);
                $(".ui_fx").find("select").attr("disabled", true);
            } else if (stickerKindData.value == "自定义") {
                $(".diy").show();
                $(".diy").find(":input").attr("disabled", false);
                $(".diy").find("select").attr("disabled", false);
            }
            form.render();//必须写
        });

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            kindValueData = {
                0: "7.5*7.5 cm",
                1: "10*10 cm",
                2: "7.5*10 cm",
                3: "7*7 cm",
                4: "9.5*9.5 cm"
            };
            var stickerKind = $("input[name='stickerKind']:checked").val();
            var kindValue = "";
            if (stickerKind == "方形") {
                kindValue = $(".ui_fx_size").val();
            } else {
                kindValue = $(".ui_xx_size").val();
            }
            var kind2Value = $("#kind2Value").val();
            var number = $("#number").val();
            let craft_list = [];

            $("select[name='craft'] option:selected").each(function (i) {
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "抠图") {
                        craft_list.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    craft_list.push($(this).val());
                }
            });
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '暖心贴 - ' + kindValueData[kindValue] + ' - ' + kind2Value + '（每本50张）\n';
                    if (craft_list.length > 0) {
                        span_result += "工艺:" + craft_list.join(",") + '\n';
                    }

                    for (let i = 0; i < data.length; i++) {
                        span_result += number + '款 ' + data[i].count + "本，共" + data[i].price + "元" + '\n'
                        data[i].number = number;
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）\n 单色3-4天发出，彩色5-6天发出'
                    if(window.parent.system_isGai){
                        span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    var size = kindValueData[kindValue];
                    size = size.replace(" cm", "");
                    var count = $("select[name='count'] option:selected").val();
                    count = count * 50;
                    getRemark("暖心贴", size, count + "张", "每本50张", number, "", "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });

</script>
</html>